Bug 5831 - rebuild_zebra.pl does not respect -r flag
Summary: rebuild_zebra.pl does not respect -r flag
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-04 18:39 UTC by Ian Walls
Modified: 2012-10-25 23:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.58 KB, patch)
2011-03-04 20:11 UTC, D Ruth Bavousett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-03-04 18:39:27 UTC
Sometime recently, rebuild_zebra.pl stopped looking for the -r flag, instead preferring -reset.  The documentation, however, was never updated.  The lack of reset can cause transactions not to reach commit, usually after several hours wasted in a rebuild.
Comment 1 D Ruth Bavousett 2011-03-04 20:11:25 UTC
Created attachment 3252 [details] [review]
Proposed patch
Comment 2 Chris Cormack 2011-03-05 19:45:47 UTC
Patch pushed please test and mark resolved
Comment 3 Ian Walls 2011-03-10 15:08:03 UTC
Tested, and works.